com.corticon.eclipse.core

## Class MessagesAncestor

- java.lang.Object
- - com.corticon.eclipse.core.MessagesAncestor

-     public class MessagesAncestor
      extends java.lang.Object

  MessagesAncestor is a helpful ancestor for "Messages" class. This class is the supertype for "Messages" classes in plug-ins that support internationalization. MessagesAncestor offers support for both standard localized message lookup and selective reverse lookup.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.HashMap` | `chmReverseLookupMapMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagesAncestor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getBaseString(java.util.ResourceBundle aResourceBundle, java.lang.String astrKeyPrefix, java.lang.String astrLocalizedString)` Given a key prefix and a localized value, return the corresponding base value.
    `protected static ReverseLookupMap` | `getReverseLookupMap(java.util.ResourceBundle aResourceBundle, java.lang.String astrKeyPrefix)` Return the reverse lookup map corresponding to the specified key prefix.
    `static java.lang.String` | `getString(java.util.ResourceBundle aResourceBundle, java.lang.String astrKey)` Return the key value using the provided localized bundle.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chmReverseLookupMapMap

          protected static java.util.HashMap chmReverseLookupMapMap

  - ### Constructor Detail

    - #### MessagesAncestor

          public MessagesAncestor()

  - ### Method Detail

    - #### getString

          public static java.lang.String getString(java.util.ResourceBundle aResourceBundle,
                                   java.lang.String astrKey)

      Return the key value using the provided localized bundle.
      Parameters:
        `aResourceBundle` - Resource bundle instance.
        `astrKey` - Property key.
      Returns:
        Localized property value.

    - #### getBaseString

          public static java.lang.String getBaseString(java.util.ResourceBundle aResourceBundle,
                                       java.lang.String astrKeyPrefix,
                                       java.lang.String astrLocalizedString)

      Given a key prefix and a localized value, return the corresponding base value.
      Parameters:
        `aResourceBundle` - Resource bundle instance.
        `astrKeyPrefix` - Bundle key prefix.
        `astrLocalizedString` - Localized string.
      Returns:
        Base string.

    - #### getReverseLookupMap

          protected static ReverseLookupMap getReverseLookupMap(java.util.ResourceBundle aResourceBundle,
                                             java.lang.String astrKeyPrefix)

      Return the reverse lookup map corresponding to the specified key prefix. If the reverse lookup map does not yet exist, create one.
      Parameters:
        `aResourceBundle` - ResourceBundle for caller-specified locale.
        `astrKeyPrefix` - Key prefix.
        `ReverseLookupMap` - New or existing reverse lookup map.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.